Description

Running the check-source target fails, due to failure of running the following command

/usr/bin/python3 check-source.py -S /foo/gromacs -B /foo/gromacs-build-release -I
/foo/gromacs-build-release/docs/doxygen/check-source.log --ignore /foo/gromacs/docs/doxygen/suppressions.txt --ignore-cycles
/foo/gromacs/docs/doxygen/cycle-suppressions.ixt

with

Traceback (most recent call last):

File "check-source.py", line 437, in <module>

main()

File "check-source.py", line 413, in main
tree.scan_files(keep_contents=True)

File "gmxtree.py", line 829, in scan_files
fileobj.scan_contents(self, keep_contents, detect_defines)
File "gmxtree.py", line 224, in scan_contents

contents = scanfile.read()

File "/usr/lib/python3.6/encodings/ascii.py”, line 26, in decode
return codecs.ascii_decode(input, self.errors)[0]
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 2755: ordinal not in range(128)

Associated revisions

Revision f1603aec - 07/26/2019 04:49 PM - Test User

Fix failing check-source target on python3.6
When the locale is not set to UTF-8 encoding, check-source fails.
This fixes #3039

Change-Id: 179b222ae9f839123f3e7411c5d73249462aafab0

History

#1 - 07/26/2019 05:00 PM - Test User

- Status changed from New to Resolved

Applied in changeset {1603aec0a97f9dd281f24a36ab071560ddd9886.

#2 - 08/10/2019 06:44 AM - Mark Abraham

- Status changed from Resolved to Closed
